=== modified file 'drizzled/serialize/table.proto'
--- drizzled/serialize/table.proto	2009-03-08 03:37:14 +0000
+++ drizzled/serialize/table.proto	2009-03-12 05:39:14 +0000
@@ -133,7 +133,7 @@
       required int32 count_elements = 1;
       optional uint32 collation_id = 2;
       optional string collation = 3;
-      repeated string field_value = 4;
+      repeated bytes field_value = 4;
     }
 
     message VirtualFieldOptions {

=== modified file 'drizzled/set_var.cc'
--- drizzled/set_var.cc	2009-03-11 01:16:44 +0000
+++ drizzled/set_var.cc	2009-03-12 12:27:04 +0000
@@ -171,13 +171,13 @@
 static sys_var_session_uint64_t	sys_join_buffer_size(&vars, "join_buffer_size",
                                                      &SV::join_buff_size);
 static sys_var_key_buffer_size	sys_key_buffer_size(&vars, "key_buffer_size");
-static sys_var_key_cache_long  sys_key_cache_block_size(&vars, "key_cache_block_size",
+static sys_var_key_cache_uint32_t  sys_key_cache_block_size(&vars, "key_cache_block_size",
                                                         offsetof(KEY_CACHE,
                                                                  param_block_size));
-static sys_var_key_cache_long	sys_key_cache_division_limit(&vars, "key_cache_division_limit",
+static sys_var_key_cache_uint32_t	sys_key_cache_division_limit(&vars, "key_cache_division_limit",
                                                            offsetof(KEY_CACHE,
                                                                     param_division_limit));
-static sys_var_key_cache_long  sys_key_cache_age_threshold(&vars, "key_cache_age_threshold",
+static sys_var_key_cache_uint32_t  sys_key_cache_age_threshold(&vars, "key_cache_age_threshold",
                                                            offsetof(KEY_CACHE,
                                                                     param_age_threshold));
 static sys_var_bool_ptr	sys_local_infile(&vars, "local_infile",
@@ -1529,7 +1529,7 @@
   This should be changed so that we wait until the previous
   assignment is done and then do the new assign
 */
-bool sys_var_key_cache_long::update(Session *session, set_var *var)
+bool sys_var_key_cache_uint32_t::update(Session *session, set_var *var)
 {
   uint64_t tmp= (uint64_t) var->value->val_int();
   LEX_STRING *base_name= &var->base;
@@ -1556,8 +1556,8 @@
   if (key_cache->in_init)
     goto end;
 
-  *((uint64_t*) (((char*) key_cache) + offset))=
-    (uint64_t) fix_unsigned(session, tmp, option_limits);
+  *((uint32_t*) (((char*) key_cache) + offset))=
+    (uint32_t) fix_unsigned(session, tmp, option_limits);
 
   /*
     Don't create a new key cache if it didn't exist

=== modified file 'drizzled/set_var.h'
--- drizzled/set_var.h	2009-03-11 01:16:44 +0000
+++ drizzled/set_var.h	2009-03-12 12:27:04 +0000
@@ -161,7 +161,7 @@
   bool check(Session *session, set_var *var);
   bool update(Session *session, set_var *var);
   void set_default(Session *session, enum_var_type type);
-  SHOW_TYPE show_type() { return SHOW_LONG; }
+  SHOW_TYPE show_type() { return SHOW_INT; }
   unsigned char *value_ptr(Session *, enum_var_type, const LEX_STRING *)
   { return (unsigned char*) value; }
 };
@@ -413,7 +413,7 @@
   bool check(Session *session, set_var *var);
   bool update(Session *session, set_var *var);
   void set_default(Session *session, enum_var_type type);
-  SHOW_TYPE show_type() { return SHOW_LONG; }
+  SHOW_TYPE show_type() { return SHOW_INT; }
   unsigned char *value_ptr(Session *session, enum_var_type type,
                            const LEX_STRING *base);
 };
@@ -748,14 +748,14 @@
 };
 
 
-class sys_var_key_cache_long :public sys_var_key_cache_param
+class sys_var_key_cache_uint32_t :public sys_var_key_cache_param
 {
 public:
-  sys_var_key_cache_long(sys_var_chain *chain, const char *name_arg, size_t offset_arg)
+  sys_var_key_cache_uint32_t(sys_var_chain *chain, const char *name_arg, size_t offset_arg)
     :sys_var_key_cache_param(chain, name_arg, offset_arg)
   {}
   bool update(Session *session, set_var *var);
-  SHOW_TYPE show_type() { return SHOW_LONG; }
+  SHOW_TYPE show_type() { return SHOW_INT; }
 };
 
 /* Variable that you can only read from */

=== modified file 'mystrings/dtoa.cc'
--- mystrings/dtoa.cc	2008-12-06 19:42:46 +0000
+++ mystrings/dtoa.cc	2009-03-12 06:30:59 +0000
@@ -697,7 +697,7 @@
 static char *dtoa_alloc(int i, Stack_alloc *alloc)
 {
   char *rv;
-  int aligned_size= (i + sizeof(ULong) - 1) / sizeof(ULong) * sizeof(ULong);
+  int aligned_size= (i + sizeof(double) - 1) / sizeof(double) * sizeof(double);
   if (alloc->free + aligned_size <= alloc->end)
   {
     rv= alloc->free;

